org.vishia.gral.awt

## Class AwtPanel

- java.lang.Object
- - org.vishia.gral.base.GralWidget
  - - org.vishia.gral.base.GralPanelContent
    - - org.vishia.gral.awt.AwtPanel

- All Implemented Interfaces:
    GetGralWidget_ifc, GralSetValue_ifc, GralWidget_ifc, Removeable

      public class AwtPanel
      extends GralPanelContent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.vishia.gral.base.GralPanelContent

      `GralPanelContent.ImplAccess, GralPanelContent.MethodsCalledbackFromImplementation`

    - ### Nested classes/interfaces inherited from class org.vishia.gral.base.GralWidget

      `GralWidget.ActionChangeSelect, GralWidget.ConfigData, GralWidget.DynamicData`

    - ### Nested classes/interfaces inherited from interface org.vishia.gral.ifc.GralWidget_ifc

      `GralWidget_ifc.ActionChange, GralWidget_ifc.ActionChangeWhen`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.awt.Container` | `itsTabAwt` The associated tab in a TabFolder if this panel is the main panel of the TabItem, or null if it isn't a main panel of a tab in a tabbed panel.
    `java.awt.Container` | `panelComposite` It is either a Composite or a SwtCanvas
    `protected java.awt.event.ComponentListener` | `resizeItemListener`
    `static int` | `version` Version history: 2011-11-19 Hartmut chg: `#itsTabSwt` with correct type moved from `GralPanelContent`.

    - ### Fields inherited from class org.vishia.gral.base.GralPanelContent

      `bGridZoomed, bZoomed, canvas, primaryWidget, widgetList, widgetsToResize`

    - ### Fields inherited from class org.vishia.gral.base.GralWidget

      `_wdgImpl, bEditable, bHasFocus, bShouldInitialize, buildMng, bVisibleState, cfg, contextMenu, dateUser, dyda, htmlHelp, itsMng, name, repaintDelay, repaintDelayMax, sCmd, sFormat, sToolTip, sVersion, whatIs`

    - ### Fields inherited from interface org.vishia.gral.ifc.GralWidget_ifc

      `sVersion`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `AwtPanel(java.lang.String name, GralMng mng)`
    `` | `AwtPanel(java.lang.String name, GralMng mng, java.awt.Container panelAwt)` Constructs a panel

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `remove()` This overridden form of `Removeable.remove()` removes all widgets of this panel.
    `GralColor` | `setBackgroundColor(GralColor color)`
    `void` | `setBoundsPixel(int x, int y, int dx, int dy)`
    `GralColor` | `setForegroundColor(GralColor color)`
    `void` | `XXXrepaintGthread()`

    - ### Methods inherited from class org.vishia.gral.base.GralPanelContent

      `createImplWidget_Gthread, getTextFrom, getWidget, getWidgetImplementation, getWidgetList, removeWidget, setPrimaryWidget, setTextIn, setVisibleState, toString, widgetList, XXXsetFocusGThread`

    - ### Methods inherited from class org.vishia.gral.base.GralWidget

      `chgPos, clearShowParam, getActionChange, getActionChangeStrict, getActionDrag, getActionDrop, getActionFocused, getActionShow, getBackColor, getCfgElement, getCmd, getCmd, getContentIdent, getContentInfo, getContextMenu, getData, getDataIx, getDataPath, getDataPath, getFloatValue, getFormat, getGralWidget, getHtmlHelp, getImpl, getItsPanel, getLongValue, getName, getShowMethod, getShowParam, getsToolTip, getText, getValue, getVariable, getVariableFromContentInfo, gralMng, isChanged, isEditable, isGraphicDisposed, isInFocus, isNotEditableOrShouldInitialize, isVisible, pos, refreshFromVariable, refreshFromVariable, repaint, repaint, requestNewValueForVariable, setActionChange, setActionFocused, setActionMouse, setActionShow, setBackColor, setCfgElement, setCmd, setContentIdent, setContentInfo, setData, setDataIx, setDataPath, setDragEnable, setDropEnable, setEditable, setFocus, setFocus, setFormat, setHtmlHelp, setLineColor, setLongValue, setMinMax, setPanelMng, setPrimaryWidgetOfPanel, setText, setTextColor, setToolTip, setToPanel, setValue, setValue, setValue, setValue, setVisible, setVisibleStateWidget, specifyActionChange, specifyContextMenu, XXXgetPixelPositionSize, XXXgetWidgetImplementation, XXXremoveWidgetImplementation, XXXsetVisibleGThread`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.vishia.gral.ifc.GralWidget_ifc

      `getActionChange, getBackColor, getCmd, getContentIdent, getContentInfo, getData, getDataPath, getName, gralMng, isChanged, isEditable, isGraphicDisposed, isInFocus, isNotEditableOrShouldInitialize, isVisible, refreshFromVariable, refreshFromVariable, repaint, repaint, setBackColor, setCmd, setContentIdent, setData, setDataPath, setEditable, setFocus, setFocus, setHtmlHelp, setLineColor, setText, setTextColor, setToPanel, setVisible`

- - ### Field Detail

    - #### version

          public static final int version

      Version history:
      - 2011-11-19 Hartmut chg: `#itsTabSwt` with correct type moved from `GralPanelContent`.
      - 2011-09-25 Hartmut creation: Common class for all Swt implementations of Panels. This class can implement the abstract methods from `GralPanelContent` for the implementation in a common form.
      See Also:
        Constant Field Values

    - #### itsTabAwt

          public java.awt.Container itsTabAwt

      The associated tab in a TabFolder if this panel is the main panel of the TabItem, or null if it isn't a main panel of a tab in a tabbed panel.
      Note: can't be final because it may be unknown on calling constructor. The property whether a panel is a tab-panel can't be presented with an extra subclass, because this class is the subclass of several Swt panel types. Use the aggregation principle instead multi-inheritance.

    - #### panelComposite

          public java.awt.Container panelComposite

      It is either a Composite or a SwtCanvas

    - #### resizeItemListener

          protected java.awt.event.ComponentListener resizeItemListener

  - ### Constructor Detail

    - #### AwtPanel

          private AwtPanel(java.lang.String name,
                           GralMng mng)

    - #### AwtPanel

          public AwtPanel(java.lang.String name,
                          GralMng mng,
                          java.awt.Container panelAwt)

      Constructs a panel
      Parameters:
        `name` - of panel.
        `mng` - The widget manager
        `panelSwt` - may be null, then the `GralPanelContent#panelComposite` should be set after construction of a derived class.

  - ### Method Detail

    - #### setBackgroundColor

          public GralColor setBackgroundColor(GralColor color)

      Specified by:
        `setBackgroundColor` in interface `GralWidget_ifc`
      Overrides:
        `setBackgroundColor` in class `GralWidget`

    - #### setForegroundColor

          public GralColor setForegroundColor(GralColor color)

      Specified by:
        `setForegroundColor` in interface `GralWidget_ifc`
      Overrides:
        `setForegroundColor` in class `GralWidget`

    - #### setBoundsPixel

          public void setBoundsPixel(int x,
                                     int y,
                                     int dx,
                                     int dy)

      Specified by:
        `setBoundsPixel` in interface `GralWidget_ifc`
      Overrides:
        `setBoundsPixel` in class `GralWidget`

    - #### XXXrepaintGthread

          public void XXXrepaintGthread()

      Overrides:
        `XXXrepaintGthread` in class `GralWidget`

    - #### remove

          public boolean remove()

      Description copied from class: `GralPanelContent`
      This overridden form of `Removeable.remove()` removes all widgets of this panel. It includes the disposition of the widgets in the graphic. It is done by invocation `GralWidget.remove()`.
      Specified by:
        `remove` in interface `Removeable`
      Overrides:
        `remove` in class `GralPanelContent`
      Returns:
        true because it is done.